# Created by pyp2rpm-3.3.2
%global pypi_name towncrier

Name:           python-%{pypi_name}
Version:        19.2.0
Release:        %mkrel 2
Summary:        Building newsfiles for your project
Group:          Development/Python
License:        MIT
URL:            https://github.com/hawkowl/towncrier
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(incremental)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml)

%description
Hear ye, hear ye, says the towncrier towncrier is a utility to produce useful,
summarised news files for your project. Rather than reading the Git history as
some newer tools to produce it, or having one single file which developers all
write to, towncrier reads "news fragments" which contain information useful to
end users.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)
Requires:       python3dist(incremental)
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
Requires:       python3dist(toml)

%description -n python3-%{pypi_name}
Hear ye, hear ye, says the towncrier towncrier is a utility to produce useful,
summarised news files for your project. Rather than reading the Git history as
some newer tools to produce it, or having one single file which developers all
write to, towncrier reads "news fragments" which contain information useful to
end users.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/towncrier
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 19.2.0-2.mga8
+ Revision: 1541777
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 19.2.0-1.mga8
+ Revision: 1438171
- imported package python-towncrier

